為了讓 Windows and Ubuntu 的 subversion client 版本一致, 還是得靠google大神, 找到了正確的解答, 轉貼如下

原文網址

Upgrading Ubuntu 8.04 (Hardy) Subversion from 1.4.6 to 1.6

I am working on a project where I needed to update the current code to the latest via:
svn update
but instead encountered this error: "svn: This client is too old to work with working copy '.'; please get a newer Subversion client".

It seemed that my svn client which Ubuntu 8.04 claimed to be the most recent version is actually an old hag. I had to do more than a handful of Google queries to finally land the instructions I needed to get this to work.

Hop on over to https://launchpad.net/~anders-kaseorg/+archive/subversion-1.6 click on "Technical details about this PPA" and choose your Ubuntu version in the select list that appears.

Add the entry "deb http://ppa.launchpad.net/anders-kaseorg/subversion-1.6/ubuntu hardy main" to your sources.list via:

echo "deb http://ppa.launchpad.net/anders-kaseorg/subversion-1.6/ubuntu hardy main" >> /etc/apt/sources.list


You might need to perform that action while logged in as root (sudo -s) or by prefixing the command with sudo" or you'll get a "permission denied".

Once you are done, perform:

sudo apt-get update


and:
apt-get install subversion
which should list your subversion libraries/client as marked for upgrading.


創作者介紹

郁Two家族 維尼大叔札記

unclepooh 發表在 痞客邦 PIXNET 留言(0) 人氣()